package com.ruoyi.bst.suit.service;

import java.util.List;

public interface SuitValidator {


    /**
     * 判断当前用户是否可以编辑套餐
     * @param storeId 分区ID
     * @return 是否允许
     */
    boolean canEdit(Long storeId);

    /**
     * 判断当前用户是否可以删除套餐
     * @param storeIds 分区ID
     * @return 是否允许
     */
    boolean canDeleteAll(List<Long> storeIds);

    /**
     * 判断当前用户是否可以选择制定分区
     * @param storeId 分区ID
     * @return 是否允许
     */
    boolean canCheckForSuit(Long storeId);

}
